Packagist_big

a2design-inc/phpseclib

2.0.3

PHP Secure Communications Library - Pure-PHP implementations of RSA, AES, SSH2, SFTP, X.509 etc.

(security, cryptography, ssh, encryption, blowfish, crypto, signature, signing, rsa, aes, sftp, x509, x.509, asn1, asn.1, BigInteger, twofish)

Critical or Security advisories for 2.0.3

This version doesn't have any advisory. Want to report one?

Changelog for 2.0.3

  • BigInteger/RSA: don't compare openssl versions > 1.0 (#946)
  • RSA: don't attempt to use the CRT when zero value components exist (#980)
  • RSA: zero salt length RSA signatures don't work (#1002)
  • ASN1: fix PHP Warning on PHP 7.1 (#1013)
  • X509: set parameter fields to null for CSR's / RSA (#914)
  • CRL optimizations (#1000)
  • SSH2: fix "Expected SSH_FXP_STATUS or ..." error (#999)
  • SSH2: use stream_get_* instead of fread() / fgets() (#967)
  • SFTP: make symlinks support relative target's (#1004)
  • SFTP: fix sending stream resulting in zero byte file (#995)

Dependencies for 2.0.3

Name Requirement Status
~2.7

~4.0

~2.0

~2.0

My projects using a2design-inc/phpseclib

Name Locked version Requirement
You should be logged in to see which of your projects use a2design-inc/phpseclib.